---
layout: markdown_page
title: "Account Onboarding"
---

# Technical Account Management Handbook
{:.no_toc}

## On this page
{:.no_toc}

- TOC
{:toc}

- Gemstones *(Current)*
- [Account Onboarding](/handbook/customer-success/tam/onboarding)
- [Technical Account Manager Summary](/handbook/customer-success/tam/)
- [Account Triage](/handbook/customer-success/tam/triage)
- [Account Engagement](/handbook/customer-success/tam/engagement)
- [Using Salesforce within Customer Success](/handbook/customer-success/using-salesforce-within-customer-success/)
- [Escalation Process](/handbook/customer-success/tam/escalations/)

---

# Customer Onboarding & Gemstone Categorization

We should include a pre-defined set of professional services in each initial purchase. This aims to improve the customer onboarding experience across for all customers whilst setting a precedent to how all customers are managed (with regards to outreach, support, technical account management etc.) throughout the duration of their experience and relationship with GitLab. 

Technical Account Managers and Professional Service Engineers should work closely together throughout the onboarding process, with support from Solutions Architects and Strategic Account Leaders/Account Managers where appropriate.

Please note that these gemstones are NOT intended to replace sales segmentation, they are a way of categorising customers in a way that's relevant to Customer Success.

Below is an outline of  the ideal onboarding experiences that we want to deliver for our customers based on deal size. This is intended to be included as part of the customer's GitLab purchase at some point in either Q1 or Q2 2019 (TBD) once we have enough headcount to deliver it. Expectations MUST be managed with the customer early on that anything outside of these strict boundaries must have a Statement of Work attached and be paid for before any of the additional work is delivered.

Customer onboarding is a 45 day time period. All implementation and training must be scheduled to be delivered within the first 30 days of purchase. The Technical Account Manager is responsible for ensuring that this happens.

## Diamond
Accounts categorized into Diamond are all accounts that are greater than 5000 users, OR greater than 2000 users AND using Ultimate/Gold, OR greater than $500,000 in TAV (Total Account Value).*

| Technical Account Management  | Implementation  |
|---|---|
| Dedicated Technical Account Manager  | Professional Service Engineer  |
| 60 minute weekly call with TAM and PSE | Two weeks on-site/remote support - Must be scheduled within 30 days of purchase  |
| GitLab Customer Success project  | Four one-hour meetings focused around HA implementation support & HA training certification (5-10 attendees) - Must be scheduled within the first 30 days of purchase |
| Personal outreach & automated outreach  |  GitLab Administration Training & up to three additional training courses of their choice, including train-the-trainer certification if desired. - Must be scheduled within the first 30 days of purchase   |

## Pearl
Accounts categorized into Pearl are all accounts that are not Diamond AND greater than 2500 users, OR greater than 1000 users AND using Ultimate/Gold, OR greater than $250,000 in TAV (Total Account Value).*

| Technical Account Management | Implementation |
|---|---|
| Dedicated Technical Account Manager | Professional Service Engineer |
| 30 minute weekly call with TAM and PSE | One weeks on-site/remote support - must be scheduled within 30 days of purchase  |
| GitLab Customer Success project  | Four one-hour meetings focused around HA implementation support & HA training certification (1-5 attendees) - Must be scheduled within the first 30 days of purchase |
| Personal outreach & automated outreach | Up to two training courses of their choice, including train-the-trainer certification if desired. - Must be scheduled within the first 30 days of purchase |

## Sapphire
Accounts categorised into Sapphire are all accounts that are not Diamond or Pearl AND greater than 1000 users, OR using Ultimate/Premium/Gold/Silver AND greater than $100,000 in TAV (Total Account Value).*

| Technical Account Management  | Implementation |
|---|---|
| Dedicated Technical Account Manager | Professional Service Engineer  |
| 30 minute bi-weekly call with TAM and PSE |  One week of remote support - must be scheduled within 30 days of purchase |
| GitLab Customer Success project  | Four one-hour meetings focused around HA implementation support & HA training certification (1-3 attendees) - Must be scheduled within the first 30 days of purchase |
| Personal outreach & automated outreach | One training course of their choice - Must be scheduled within the first 30 days of purchase |

## Ruby
Accounts categorised into Sapphire are all accounts that are not Diamond, Pearl or Sapphire AND greater than 500 users, OR greater than $50,000 in TAV (Total Account Value).*

| Technical Account Management  | Implementation  |
|---|---|
| Dedicated Technical Account Manager  (Growth focused - smaller accounts)  |  Professional Service Engineer  |
| Monthly calls with TAM and PSE | 5 hours of remote implementation support - Must be scheduled within the first 30 days of purchase |
| GitLab Customer Success project  | GitLab 101 Training Course - Must be scheduled within the first 30 days of purchase |
| Personal outreach & automated outreach  |   |

## Quartz
Accounts categorised into Quartz are all accounts left over after Diamond, Pearl, Sapphire and Ruby have been categorised.

* Account Manager (?)
* Automated outreach
* No Implementation included

**Total Account Value is calculated by adding together the current year’s ARR opportunity and all future renewal opportunity amounts together.*
